<div id="addDevice">
    <form>
        <h1>Add a New Device</h1>
        <hr>
        <div class="form-group">
            <label>Device Title</label>
            <input type="text" class="form-control" ng-model="device.title">
        </div>
        <div class="form-group">
            <label>Device Description</label>
            <textarea class="form-control" rows="10" ng-model="device.description"></textarea>
        </div>
        <div class="form-group">
            <label>Device Name</label>
            <input type="text" class="form-control" ng-model="device.name">
        </div>
        <div class="form-group">
            <label>Device Type</label>
            <input type="text" class="form-control" ng-model="device.type">
        </div>
        <div class="form-group">
            <label>Version</label>
            <input type="text" class="form-control" ng-model="device.version">
        </div>
        <h3>Component Groups</h3>
        <div ng-repeat="componentGroup in device.componentGroups">
            <hr>
            <div class="form-group">
                <label>Component Group Org</label>
                <input type="text" class="form-control" ng-model="componentGroup.org">
            </div>
            <div class="form-group">
                <label>Component Group Name</label>
                <input type="text" class="form-control" ng-model="componentGroup.name">
            </div>
            <div class="form-group">
                <label>Component Group Version</label>
                <input type="text" class="form-control" ng-model="componentGroup.version">
            </div>
        </div>
        <hr>
        <div class="form-group">
            <button ng-click="addComponentGroup()">Add Another Component Group</button>
        </div>
        <div class="form-group">
            <button ng-click="addDevice(device)">Add Device</button>
        </div>
    </form>
</div>